<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>AbstractExcelUtils (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractExcelUtils (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/AbstractExcelUtils.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html"
               title="class in org.apache.poi.hssf.converter"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html"
               title="class in org.apache.poi.hssf.converter"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/converter/AbstractExcelUtils.html" target="_top">Frames</a>
        </li>
        <li><a href="AbstractExcelUtils.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.converter</div>
    <h2 title="Class AbstractExcelUtils" class="title">Class AbstractExcelUtils</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.converter.AbstractExcelUtils</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/converter/ExcelToHtmlUtils.html"
                           title="class in org.apache.poi.hssf.converter">ExcelToHtmlUtils</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">AbstractExcelUtils</span>
extends java.lang.Object</pre>
                <div class="block">Common class for <code>ExcelToFoUtils</code> and <a
                        href="../../../../../org/apache/poi/hssf/converter/ExcelToHtmlUtils.html"
                        title="class in org.apache.poi.hssf.converter"><code>ExcelToHtmlUtils</code></a></div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>POI 3.8 beta 5</dd>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov (vlsergey {at} gmail {dot} com)</dd>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="../../../../../org/apache/poi/hwpf/converter/AbstractWordUtils.html"
                           title="class in org.apache.poi.hwpf.converter"><code>AbstractWordUtils</code></a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelUtils.html#AbstractExcelUtils--">AbstractExcelUtils</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelUtils.html#getAlign-org.apache.poi.ss.usermodel.HorizontalAlignment-">getAlign</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/HorizontalAlignment.html"
                                        title="enum in org.apache.poi.ss.usermodel">HorizontalAlignment</a>&nbsp;alignment)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelUtils.html#getBorderStyle-org.apache.poi.ss.usermodel.BorderStyle-">getBorderStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;xlsBorder)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelUtils.html#getBorderWidth-org.apache.poi.ss.usermodel.BorderStyle-">getBorderWidth</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;xlsBorder)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelUtils.html#getColor-org.apache.poi.hssf.util.HSSFColor-">getColor</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a>&nbsp;color)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelUtils.html#getColumnWidthInPx-int-">getColumnWidthInPx</a></span>(int&nbsp;widthUnits)</code>
                                    <div class="block">See <a href=
                                                                      "http://apache-poi.1045710.n5.nabble.com/Excel-Column-Width-Unit-Converter-pixels-excel-column-width-units-td2301481.html"
                                    >here</a> for Xio explanation and details
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelUtils.html#getMergedRange-org.apache.poi.ss.util.CellRangeAddress:A:A-int-int-">getMergedRange</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[][]&nbsp;mergedRanges,
                                    int&nbsp;rowNumber,
                                    int&nbsp;columnNumber)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/converter/AbstractExcelUtils.html#loadXls-java.io.File-">loadXls</a></span>(java.io.File&nbsp;xlsFile)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="AbstractExcelUtils--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>AbstractExcelUtils</h4>
                                <pre>public&nbsp;AbstractExcelUtils()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getAlign-org.apache.poi.ss.usermodel.HorizontalAlignment-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAlign</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;getAlign(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/HorizontalAlignment.html"
                                        title="enum in org.apache.poi.ss.usermodel">HorizontalAlignment</a>&nbsp;alignment)</pre>
                            </li>
                        </ul>
                        <a name="getBorderStyle-org.apache.poi.ss.usermodel.BorderStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderStyle</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;getBorderStyle(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;xlsBorder)</pre>
                            </li>
                        </ul>
                        <a name="getBorderWidth-org.apache.poi.ss.usermodel.BorderStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBorderWidth</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;getBorderWidth(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                        title="enum in org.apache.poi.ss.usermodel">BorderStyle</a>&nbsp;xlsBorder)</pre>
                            </li>
                        </ul>
                        <a name="getColor-org.apache.poi.hssf.util.HSSFColor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColor</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;getColor(<a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a>&nbsp;color)</pre>
                            </li>
                        </ul>
                        <a name="getColumnWidthInPx-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColumnWidthInPx</h4>
                                <pre>public static&nbsp;int&nbsp;getColumnWidthInPx(int&nbsp;widthUnits)</pre>
                                <div class="block">See <a href=
                                                                  "http://apache-poi.1045710.n5.nabble.com/Excel-Column-Width-Unit-Converter-pixels-excel-column-width-units-td2301481.html"
                                >here</a> for Xio explanation and details
                                </div>
                            </li>
                        </ul>
                        <a name="getMergedRange-org.apache.poi.ss.util.CellRangeAddress:A:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMergedRange</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;getMergedRange(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[][]&nbsp;mergedRanges,
                                              int&nbsp;rowNumber,
                                              int&nbsp;columnNumber)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>mergedRanges</code> - map of sheet merged ranges built with
                                        <a href="../../../../../org/apache/poi/hssf/converter/ExcelToHtmlUtils.html#buildMergedRangesMap-org.apache.poi.ss.usermodel.Sheet-"><code>ExcelToHtmlUtils.buildMergedRangesMap(Sheet)</code></a>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                           title="class in org.apache.poi.ss.util"><code>CellRangeAddress</code></a>
                                        from map if cell with specified row and
                                        column numbers contained in found range, <tt>null</tt> otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="loadXls-java.io.File-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>loadXls</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;loadXls(java.io.File&nbsp;xlsFile)
                            throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/AbstractExcelUtils.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/converter/AbstractExcelConverter.html"
               title="class in org.apache.poi.hssf.converter"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/converter/ExcelToFoConverter.html"
               title="class in org.apache.poi.hssf.converter"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/converter/AbstractExcelUtils.html" target="_top">Frames</a>
        </li>
        <li><a href="AbstractExcelUtils.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
